/**************************************************************************
 * Copyright (C) 2012-2021  Unisound
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 **************************************************************************
 *
 * Description : lvp_board.h
 * Author      : yzs.unisound.com
 * Date        : 2021.03.01
 *
 **************************************************************************/

#ifndef __LVP_BOARD_H__
#define __LVP_BOARD_H__

#include <lvp_param.h>
#include <lvp_context.h>

//=================================================================================================

LVP_AUDIO_IN_PARAM_CTRL *AudioInBoardGetParamCtrl(void);
void AudioInBoardInit(void);
void BoardInit(void);

void BoardSetUserPinMux(void);
void BoardSetPowerSavePinMux(void);

//=================================================================================================
#endif /* __LVP_BOARD_H__ */
